(function ($) {
    //slick_slider_active
    $(".slider_active").slick();

    // brand_active
    $(".brand_active").slick({
        dots: false,
        infinite: true,
        autoplay: true,
        speed: 300,
        slidesToShow: $(".brand_active").data("slide_show"),
        slidesToScroll: 2,
        prevArrow:
            '<span class="priv_arrow"><i class="icofont-arrow-right"></i></span>',
        nextArrow:
            '<span class="next_arrow"><i class="icofont-arrow-left"></i></span>',
        arrow: false,
        responsive: [
            {
                breakpoint: 1200,
                settings: {
                    slidesToShow: 4,
                    slidesToScroll: 2,
                },
            },
            {
                breakpoint: 992,
                settings: {
                    slidesToShow: 3,
                    slidesToScroll: 2,
                },
            },
            {
                breakpoint: 767,
                settings: {
                    slidesToShow: 1,
                    slidesToScroll: 1,
                },
            },
            // You can unslick at a given breakpoint now by adding:
            // settings: "unslick"
            // instead of a settings object
        ],
    });

    /*================ sticky nav 1 ================ */
    $('.menu_scroll_active').scrollToFixed({
        preFixed: function() {
            $(this).find('.scroll_fixed').addClass('sticky_nav2');
        },
        postFixed: function() {
            $(this).find('.scroll_fixed').addClass('sticky_nav1').removeClass('sticky_nav2');
        }
    });


    $(document).on("click", ".menu1 ul li", function () {
        $(this).addClass("active").siblings().removeClass("active");
    });

	
	
	
	
	
    // bar1
    $(document).ready(function () {
        $(".bar").each(function () {
            $(this).barfiller();
        });
    });
    $(document).ready(function () {
        $("#bar2").barfiller();
    });
    $(document).ready(function () {
        $("#bar3").barfiller();
    });
    $(document).ready(function () {
        $("#bar4").barfiller();
    });

    $(".counter").counterUp({
        delay: 10,
        time: 1000,
    });

    /*--========================
    	Mobile Menu
    ========================*/
    // $(".txt_mobil_menu nav").meanmenu({
    //     meanScreenWidth: "990",
    //     meanMenuContainer: ".txt_mobil_menu",
    //     onePage: true,
    // });

    // testimonial_active
    $(".testimonial_active").slick({
        dots: false,
        infinite: false,
        autoplay: true,
        speed: 300,
        slidesToShow: 1,
        slidesToScroll: 1,

        responsive: [
            {
                breakpoint: 1200,
                settings: {
                    slidesToShow: 1,
                    slidesToScroll: 2,
                    infinite: true,
                    dots: true,
                },
            },
            {
                breakpoint: 992,
                settings: {
                    slidesToShow: 1,
                    slidesToScroll: 2,
                },
            },
            {
                breakpoint: 767,
                settings: {
                    slidesToShow: 1,
                    slidesToScroll: 1,
                },
            },
            // You can unslick at a given breakpoint now by adding:
            // settings: "unslick"
            // instead of a settings object
        ],
    });

    /* Portfolio Isotope  */

    $(".project_filter").imagesLoaded(function () {
        if ($.fn.isotope) {
            var $portfolio = $(".project_filter");

            $portfolio.isotope({
                itemSelector: ".grid-item",

                filter: "*",

                resizesContainer: true,

                layoutMode: "masonry",

                transitionDuration: "0.8s",
            });

            $(".txt_item_filter li").on("click", function () {
                $(".txt_item_filter li").removeClass("active_item");

                $(this).addClass("active_item");

                var selector = $(this).attr("data-filter");

                $portfolio.isotope({
                    filter: selector,
                });
            });
        }
    });

    $(window).scroll(function () {
        if ($(window).scrollTop() > 200) {
            $(".top_scroll").fadeIn();
        } else {
            $(".top_scroll").fadeOut();
        }
    });

    $(".top_scroll").click(function () {
        $("html").animate({ scrollTop: 0 }, 500);
    });
})(jQuery);



const mobile_menu_bar = document.querySelector('.mobile_menu_bar');
const mobile_menu = document.querySelector('.txt_mobil_menu .menu1')

const expand_btns = document.querySelectorAll('.txt_mobil_menu .expand_btn')


mobile_menu_bar.addEventListener('click', function(){
    console.log('clicked')
    mobile_menu.classList.toggle('active');
})

expand_btns.forEach(btn => {
    btn.addEventListener('click', function(){
        const subMenu = this.parentElement.querySelector('ul');
        subMenu.classList.toggle('active')

        const expand_icon = this.querySelector('i');

        if(subMenu.classList.contains('active')){
            expand_icon.classList.remove('fa-angle-right');
            expand_icon.classList.add('fa-angle-down');
        }else{
            expand_icon.classList.remove('fa-angle-down');
            expand_icon.classList.add('fa-angle-right');
        }
    })
})