<?php
/**
* TGM Plugin activation
 */
require_once get_template_directory() .'/includes/class-tgm-plugin-activation.php';


function medifed_activation() {

	$plugins = array(

		array(
			'name'               =>__( 'Contact form 7', 'medifed' ),
			'slug'               => 'contact-form-7',
			'required'           => true, 			
		),
		array(
			'name'               =>__( 'Cmb2', 'medifed' ),
			'slug'               => 'cmb2',
			'required'           => true, 			
		),
		array(
			'name'               =>__( 'Mailchimp for WP', 'medifed' ),
			'slug'               => 'mailchimp-for-wp',
			'required'           => false, 			
		),		
		array(
			'name'               =>__( 'Redux-framework', 'medifed' ),
			'slug'               => 'redux-framework',
			'required'           => true, 			
		),
		array(
			'name'               =>__( 'Elementor', 'medifed' ),
			'slug'               => 'elementor',
			'required'           => true, 			
		),		
		array(
			'name'               =>__( 'One Click Demo Import', 'medifed' ),
			'slug'               => 'one-click-demo-import',
			'required'           => false 			
		),
		array(
		   'name'               =>__( 'medifed plugin', 'medifed' ),
		   'slug'               => 'medifed-widgets', 
		   'source'             => esc_url('https://webinfaceit.com/medifed//wp-content/plugins/medifed-widgets.zip'), 
		   'required'           => true, 
		   'force_activation'   => false, 
		   'force_deactivation' => false, 
		  ),
		
	);
	
	$config = array(
		'id'           => 'tgmpa', 
		'menu'           => 'medifed-plugin-activation', 
		'parent_slug'           => 'themes.php', 
		'has_notices'           => true

	);

	tgmpa( $plugins, $config );

}

	add_action ('tgmpa_register', 'medifed_activation');